ros-rolling-ament-cppcheck (0.19.1-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Sun, 02 Feb 2025 00:00:00 -0000

ros-rolling-ament-cppcheck (0.19.0-1noble) noble; urgency=high

  * Add ament_xmllint testing for all packages that we can. (#508 <https://github.com/ament/ament_lint/issues/508>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@gmail.com>  Wed, 20 Nov 2024 00:00:00 -0000

ros-rolling-ament-cppcheck (0.18.1-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 17 Jun 2024 00:00:00 -0000

ros-rolling-ament-cppcheck (0.18.0-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Fri, 26 Apr 2024 00:00:00 -0000

ros-rolling-ament-cppcheck (0.17.0-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 16 Apr 2024 00:00:00 -0000

ros-rolling-ament-cppcheck (0.16.4-1noble) noble; urgency=high

  * Update maintainer list in package.xml files (#474 <https://github.com/ament/ament_lint/issues/474>)
  * Contributors: Michael Jeronimo

 -- Chris Lalancette <clalancette@gmail.com>  Thu, 28 Mar 2024 00:00:00 -0000

ros-rolling-ament-cppcheck (0.16.3-1noble) noble; urgency=high

  * Add in checks to ament_cppcheck code. (#472 <https://github.com/ament/ament_lint/issues/472>)
  * Contributors: Chris Lalancette

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 07 Feb 2024 00:00:00 -0000

ros-rolling-ament-cppcheck (0.16.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 26 Dec 2023 00:00:00 -0000

ros-rolling-ament-cppcheck (0.16.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 06 Nov 2023 00:00:00 -0000

ros-rolling-ament-cppcheck (0.16.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 04 Oct 2023 00:00:00 -0000

ros-rolling-ament-cppcheck (0.15.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 11 Jul 2023 00:00:00 -0000

ros-rolling-ament-cppcheck (0.15.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 07 Jun 2023 00:00:00 -0000

ros-rolling-ament-cppcheck (0.15.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 27 Apr 2023 00:00:00 -0000

ros-rolling-ament-cppcheck (0.14.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 11 Apr 2023 00:00:00 -0000

ros-rolling-ament-cppcheck (0.14.0-1noble) noble; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#421 <https://github.com/ament/ament_lint/issues/421>)
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-ament-cppcheck (0.13.2-1noble) noble; urgency=high

  * Update maintainers (#379 <https://github.com/ament/ament_lint/issues/379>)
  * Contributors: methylDragon

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-ament-cppcheck (0.13.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 09 May 2022 00:00:00 -0000

ros-rolling-ament-cppcheck (0.13.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 29 Apr 2022 00:00:00 -0000

ros-rolling-ament-cppcheck (0.12.3-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 08 Apr 2022 00:00:00 -0000

ros-rolling-ament-cppcheck (0.12.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 28 Mar 2022 00:00:00 -0000

ros-rolling-ament-cppcheck (0.12.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-rolling-ament-cppcheck (0.12.0-1noble) noble; urgency=high

  * Disable cppcheck 2.x. (#345 <https://github.com/ament/ament_lint/issues/345>)
  * Contributors: Chris Lalancette

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 18 Feb 2022 00:00:00 -0000

ros-rolling-ament-cppcheck (0.11.4-1noble) noble; urgency=high

  * Update forthcoming version in changelogs
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-rolling-ament-cppcheck (0.11.3-1noble) noble; urgency=high

  * Update maintainers to Michael Jeronimo and Michel Hidalgo (#340 <https://github.com/ament/ament_lint/issues/340>)
  * Add cppcheck libraries option (#323 <https://github.com/ament/ament_lint/issues/323>)
    * adding ament_cppcheck libraries option
    * pass libraries option via CMake
    Co-authored-by: William Wedler <mailto:william.wedler@resquared.com>
  * Contributors: Audrow Nash, Will

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-rolling-ament-cppcheck (0.11.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 18 Jun 2021 00:00:00 -0000

ros-rolling-ament-cppcheck (0.11.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 18 Jun 2021 00:00:00 -0000

ros-rolling-ament-cppcheck (0.11.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 18 Jun 2021 00:00:00 -0000

ros-rolling-ament-cppcheck (0.10.6-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 06 May 2021 00:00:00 -0000

ros-rolling-ament-cppcheck (0.10.5-1noble) noble; urgency=high

  * Remove Claire as a maintainer. (#312 <https://github.com/ament/ament_lint/issues/312>)
    * Remove Claire as a maintainer.
    * Remove dead email addresses.
    * Remove more dead email addresses.
    * Switch setup.py maintainer to Audrow.
  * Contributors: Chris Lalancette

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 14 Apr 2021 00:00:00 -0000

ros-rolling-ament-cppcheck (0.10.4-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-rolling-ament-cppcheck (0.10.3-1noble) noble; urgency=high

  * 0.10.3
  * Fix file exclusion behavior in ament_cppcheck and ament_cpplint (#299 <https://github.com/ament/ament_lint/issues/299>)
    * fix exclude behavior in ament_cppcheck and ament_cpplint
    * fix flake8 errors
    * add missing realpath() conversion
  * Contributors: Audrow Nash, M. Mei

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 03 Mar 2021 00:00:00 -0000

ros-rolling-ament-cppcheck (0.10.2-1noble) noble; urgency=high

  * Add Audrow as a maintainer (#294 <https://github.com/ament/ament_lint/issues/294>)
  * Drop trailing tab from package manifests (#291 <https://github.com/ament/ament_lint/issues/291>)
    Follow-up to 8bf194aa1ac282db5483dd0d3fefff8f325b0db8
  * Contributors: Audrow Nash, Scott K Logan

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 12 Feb 2021 00:00:00 -0000

ros-rolling-ament-cppcheck (0.10.1-1noble) noble; urgency=high

  * Suppress unknownMacro (#268 <https://github.com/ament/ament_lint/issues/268>)
    cppcheck creates an unknownMacro error when it cannot resolve a macro.
    Since we don't pass in all dependent headers, we don't expect all macros to be discoverable by cppcheck.
  * Update maintainer (#274 <https://github.com/ament/ament_lint/issues/274>)
    * update maintainer
    * add authors
  * Contributors: Claire Wang, Dan Rose

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 25 Jan 2021 00:00:00 -0000

ros-rolling-ament-cppcheck (0.10.0-1noble) noble; urgency=high

  * Add pytest.ini so local tests don't display warning. (#259 <https://github.com/ament/ament_lint/issues/259>)
  * Contributors: Chris Lalancette

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 18 Sep 2020 00:00:00 -0000

ros-rolling-ament-cppcheck (0.9.4-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 26 May 2020 00:00:00 -0000

ros-rolling-ament-cppcheck (0.9.3-1noble) noble; urgency=high

  * Updated cpplint and cppcheck to exclude directories and files (#234 <https://github.com/ament/ament_lint/issues/234>)
    * UPted cpplint and cppcheck to exclude directories and files
    * setting a global variable to configure automatic linting
    * Fixed cmake docbloc
    * Added feedback
    * Allowed cpplint to exclude files
    * Restored cpplint.py
  * Contributors: Alejandro Hernández Cordero

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 18 May 2020 00:00:00 -0000

ros-rolling-ament-cppcheck (0.9.2-1noble) noble; urgency=high

  * Allow AMENT_IGNORE markers to be directories (#232 <https://github.com/ament/ament_lint/issues/232>)
  * Contributors: Dan Rose

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 08 May 2020 00:00:00 -0000

ros-rolling-ament-cppcheck (0.9.1-1noble) noble; urgency=high

  * 0.9.0
  * Generate xunit files valid for the junit10.xsd (#220 <https://github.com/ament/ament_lint/issues/220>)
  * Suppress internalAstError (#219 <https://github.com/ament/ament_lint/issues/219>)
    cppcheck can, in some cases, construct an invalid parse tree.
    http://build.ros2.org/user/rotu/my-views/view/CycloneDDS/job/Fci__nightly-cyclonedds_ubuntu_focal_amd64/lastCompletedBuild/testReport/rclcpp/cppcheck/error__internalAstError__src_rclcpp_clock_cpp_159_/
    ```
    - rclcpp.cppcheck error: internalAstError (src/rclcpp/clock.cpp:159)
    <<< failure message
    Syntax Error: AST broken, 'if' doesn't have two operands.
    >>>
    ```
    This error sounds like a syntax error, but is in fact, not. (cppcheck doesn't seem to even find the syntax error in if(1,1){})
    This commit causes such errors to be silently ignored, as they are not actionable.
  * [ament_cppcheck] Report errors from additional includes (#216 <https://github.com/ament/ament_lint/issues/216>)
    * [ament_cppcheck] Report errors from additional includes
    Before, if an error was found in an additional include we get a KeyError exception.
    * Use defaultdict
  * remove status attribute from result XML (#212 <https://github.com/ament/ament_lint/issues/212>)
  * Contributors: Chris Lalancette, Dan Rose, Dirk Thomas, Jacob Perron, Jose Luis Rivero

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 10 Apr 2020 00:00:00 -0000

ros-rolling-ament-cppcheck (0.8.1-1noble) noble; urgency=high

  * install resource marker file for packages (#193 <https://github.com/ament/ament_lint/issues/193>)
  * Contributors: Dirk Thomas

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-rolling-ament-cppcheck (0.8.0-1noble) noble; urgency=high

  * fix handling mixed relative/absolute path in ament_cppcheck (#188 <https://github.com/ament/ament_lint/issues/188>)
    * fix handling mixed relative/absolute path in ament_cppcheck
    * use 'in' operator
    * use os.path.samefile so it doesn't matter which of the two args is relative / absolute / symlinked
    * skip printing duplicate errors
  * install manifest files in Python packages (#185 <https://github.com/ament/ament_lint/issues/185>)
  * Alternate approach to avoiding cppcheck 1.88 (#175 <https://github.com/ament/ament_lint/issues/175>)
    This approach does not require cppcheck to be present at build time.
  * avoid cppcheck version 1.88 due to performance issues (#168 <https://github.com/ament/ament_lint/issues/168>)
    * avoid cppcheck version 1.88 due to performance issues
    * downgrade to status from warning when skipping
  * Contributors: Dirk Thomas, Scott K Logan, William Woodall

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 17 Sep 2019 00:00:00 -0000

ros-rolling-ament-cppcheck (0.7.4-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 31 Jul 2019 00:00:00 -0000

ros-rolling-ament-cppcheck (0.7.3-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 09 May 2019 14:08:00 -0000

ros-rolling-ament-cppcheck (0.7.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 09 May 2019 09:30:00 -0000

ros-rolling-ament-cppcheck (0.7.1-1noble) noble; urgency=high

  * update phrase of status messages (#137 <https://github.com/ament/ament_lint/issues/137>)
  * Contributors: Dirk Thomas

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 07 May 2019 00:00:00 -0000

ros-rolling-ament-cppcheck (0.7.0-1noble) noble; urgency=high

  * fix cppcheck report to list checked files (#134 <https://github.com/ament/ament_lint/issues/134>)
  * Contributors: Dirk Thomas

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 11 Apr 2019 00:00:00 -0000

ros-rolling-ament-cppcheck (0.6.3-1noble) noble; urgency=high

  * Pass include paths to cppcheck (#117 <https://github.com/ament/ament_lint/issues/117>)
    * Use BUILDSYSTEM_TARGETS list for getting include directories
    * Only pass include directories that are subdirectories of the package being tested
    This eliminates the need for a longer test timeout and avoids cppcheck from testing external files.
    Reverted prior changes accordingly.
    * Handle case when cppcheck reports error in filename with arbitrary path
    * Add find_package and dependency tag for ament_cmake_core
  * Contributors: Jacob Perron

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 14 Jan 2019 00:00:00 -0000

ros-rolling-ament-cppcheck (0.6.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 06 Dec 2018 00:00:00 -0000

ros-rolling-ament-cppcheck (0.6.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 15 Nov 2018 00:00:00 -0000

ros-rolling-ament-cppcheck (0.6.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 14 Nov 2018 00:00:00 -0000

ros-rolling-ament-cppcheck (0.5.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 27 Jun 2018 00:00:00 -0000

ros-rolling-ament-cppcheck (0.5.1-1noble) noble; urgency=high

  * level setup.py versions to 0.5.1
  * Contributors: Mikael Arguedas

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 18 Jun 2018 13:47:00 -0000

ros-rolling-ament-cppcheck (0.5.0-1noble) noble; urgency=high

  * set zip_safe to avoid warning during installation (#96 <https://github.com/ament/ament_lint/issues/96>)
  * Contributors: Dirk Thomas

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 18 Jun 2018 10:09:00 -0000

ros-rolling-ament-cppcheck (0.4.0-1noble) noble; urgency=high

  * remove test_suite, add pytest as test_requires
  * 0.0.3
  * Merge pull request #84 <https://github.com/ament/ament_lint/issues/84> from ament/flake8_plugins
    update style to satisfy new flake8 plugins
  * update style to satisfy new flake8 plugins
  * Merge pull request #81 <https://github.com/ament/ament_lint/issues/81> from ament/ignore_build_spaces
    ignore folders with an AMENT_IGNORE file, e.g. build spaces
  * ignore folders with an AMENT_IGNORE file, e.g. build spaces
  * 0.0.2
  * opt to pass the language through to cppcheck (#79 <https://github.com/ament/ament_lint/issues/79>)
    * opt to pass the language through to cppcheck
    * add explicit LANGUAGE argument
    * alpha ordering on arguments and typo
    * fixup
  * [cppcheck] Remove xml warning (#69 <https://github.com/ament/ament_lint/issues/69>)
    * update to xml version 2, v1 being deprecated
    * parse xml v2 error outputs
    * remove unnecessary variable
  * remove __future__ imports
  * update schema url
  * add schema to manifest files
  * Merge pull request #42 <https://github.com/ament/ament_lint/issues/42> from ament/remove_second_extension
    remove result type extension from testsuite name
  * remove result type extension from testsuite name
  * apply normpath to prevent './' prefix (fix #24 <https://github.com/ament/ament_lint/issues/24>)
  * clarify help for ament_cppcheck
  * improve error messages
  * Merge pull request #19 <https://github.com/ament/ament_lint/issues/19> from ament/split_linter_packages_in_python_and_cmake
    split linter packages in python and cmake
  * move cmake part of ament_cppcheck to ament_cmake_cppcheck
  * disable debug output
  * Merge pull request #17 <https://github.com/ament/ament_lint/issues/17> from ament/cppcheck_windows
    find cppcheck on windows
  * find cppcheck on windows, use env var for program files location
  * add trailing newline to generated test result files
  * add missing copyright / license information
  * Merge pull request #14 <https://github.com/ament/ament_lint/issues/14> from ament/test_runner_windows
    change test runner to work on windows
  * change test runner to work on windows
  * Merge pull request #9 <https://github.com/ament/ament_lint/issues/9> from ament/docs
    add docs for linters
  * add docs for linters
  * modify generated unit test files for a better hierarchy in Jenkins
  * fix copy-n-pasted license names
  * make testname argument optional for all linters
  * use other linters for the linter packages where possible
  * Merge pull request #2 <https://github.com/ament/ament_lint/issues/2> from ament/ament_lint_auto
    allow linting based on test dependencies only
  * add ament_lint_auto and ament_lint_common, update all linter packages to implement extension point of ament_lint_auto
  * use project(.. NONE)
  * update to latest refactoring of ament_cmake
  * add dependency on ament_cmake_environment
  * add ament_cppcheck
  * Contributors: Dirk Thomas, Mikael Arguedas, William Woodall

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 08 Dec 2017 00:00:00 -0000


